@if ($paginator->total() > 0)
    <div class="d-flex justify-content-between align-items-center my-3 col-12">
        <div>
            <span class="text-muted">
                Showing {{ $paginator->firstItem() }} to {{ $paginator->lastItem() }} of {{ $paginator->total() }}
                entries
            </span>
        </div>
        <nav class="ms-auto ">
            <ul class="pagination justify-content-center mb-0">
                {{-- Previous Page Link --}}
                @if ($paginator->onFirstPage())
                    <li class="page-item disabled">
                        <a class="page-link link" aria-disabled="true" aria-label="@lang('pagination.previous')">
                            <span aria-hidden="true">
                                <i class="ti ti-chevron-left fs-4"></i>
                            </span>
                        </a>
                    </li>
                @else
                    <li class="page-item">
                        <a class="page-link link" rel="prev" aria-label="@lang('pagination.previous')">
                            <span aria-hidden="true">
                                <i class="ti ti-chevron-left fs-4"></i>
                            </span>
                        </a>
                    </li>
                @endif

                {{-- Pagination Elements --}}
                @foreach ($elements as $element)
                    {{-- "Three Dots" Separator --}}
                    @if (is_string($element))
                        <li class="page-item disabled" aria-disabled="true"><span
                                class="page-link">{{ $element }}</span></li>
                    @endif

                    {{-- Array Of Links --}}
                    @if (is_array($element))
                        @foreach ($element as $page => $url)
                            @if ($page == $paginator->currentPage())
                                <li class="page-item active" aria-current="page"><span
                                        class="page-link">{{ $page }}</span></li>
                            @else
                                <li class="page-item"><a class="page-link"
                                        href="{{ $url }}">{{ $page }}</a></li>
                            @endif
                        @endforeach
                    @endif
                @endforeach

                {{-- Next Page Link --}}
                @if ($paginator->hasMorePages())
                    <li class="page-item">
                        <a class="page-link link" href="{{ $paginator->nextPageUrl() }}" rel="next"
                            aria-label="@lang('pagination.next')">
                            <span aria-hidden="true">
                                <i class="ti ti-chevron-right fs-4"></i>
                            </span>
                        </a>
                    </li>
                @else
                    <li class="page-item disabled">
                        <a class="page-link" rel="next" aria-label="@lang('pagination.next')">
                            <span aria-hidden="true">
                                <i class="ti ti-chevron-right fs-4"></i>
                            </span>
                        </a>
                    </li>
                @endif
            </ul>
        </nav>
    </div>
@endif
